- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# sbuild::basic_nostream< cT, traits > Class Template Reference

Null output stream. More...

`#include <sbuild-nostream.h>`

Inheritance diagram for sbuild::basic_nostream< cT, traits >:

[legend]
Collaboration diagram for sbuild::basic_nostream< cT, traits >:

[legend]
List of all members.

## Public Member Functions
| basic_nostream ()
| The constructor.
## Private Attributes
basic_nbuf< cT, traits > | nbuf
| The stream buffer.

## Detailed Description

### template<class cT, class traits = std::char_traits<cT>>
class sbuild::basic_nostream< cT, traits >

Null output stream.

This ostream discards all input, because it uses a basic_nbuf stream buffer.

## Constructor & Destructor Documentation

template<class cT, class traits = std::char_traits<cT>>

sbuild::basic_nostream< cT, traits >::basic_nostream | ( |  | ) | `[inline]`

The constructor.

## Member Data Documentation

template<class cT, class traits = std::char_traits<cT>>

basic_nbuf<cT, traits> sbuild::basic_nostream< cT, traits >::nbuf`[private]`

The stream buffer.

The documentation for this class was generated from the following file:

- sbuild/sbuild-nostream.h